Subject: [Gen-art] Gen-ART review of draft-ietf-tsvwg-behave-requirements-update

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 15 Feb 2016 16:18:01 +0000

I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair.  Please treat these comments just like any other last call comments.

For more information, please see the FAQ at

< http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:  draft-ietf-tsvwg-behave-requirements-update-06

Reviewer: Dan Romascanu

Review Date: 2/15/16

IETF LC End Date: 2/16/16

IESG Telechat date:

Summary: This document is ready with minor issues.

Major issues:

None

Minor issues:

1.       The text in the second and third paragraphs in section 2.2 is rather confusing. Do these belong to updates, or should they be under Notes?

Ø  Admittedly, the NAT has to verify whether received TCP RST packets belong to a connection. This verification check is required to avoid off-path attacks.

Ø  If the NAT removes immediately the NAT mapping upon receipt of a TCP RST message, stale connections may be maintained by endpoints if the first RST message is lost between the NAT and the recipient.

If they belong to Updates 'Admittedly' needs to be dropped, 'has to verify' becomes 'SHOULD verify', etc.

Else, if these are rather notes they should be labeled Notes or Clarification

2.       In section 5:

Ø  This update is compliant with the stateful NAT64 [RFC6146] that clearly specifies three binding information bases (TCP, UDP, ICMP).

As the focus of this document is NAT44, I do not believe that 'compliant' is the right word. Probably 'consistent' would be more appropriate.

3.       EIF is never expanded

Nits/editorial comments:

None.

---

From: <[email-masked]>
Date: Mon, 15 Feb 2016 16:28:49 +0000

Hi Dan,

Thank you for the review.

Please see inline.

Cheers,
Med

De : Romascanu, Dan (Dan) [mailto:[email-masked]]
Envoyé : lundi 15 février 2016 17:18
À : General Area Review Team
Cc : [email-masked]
Objet : Gen-ART review of draft-ietf-tsvwg-behave-requirements-update

Reviewer: Dan Romascanu

Review Date: 2/15/16

IESG Telechat date:

Major issues:

None

Minor issues:

[Med] These are notes. What about making this change?

OLD:

      Admittedly, the NAT has to verify whether received TCP RST packets
      belong to a connection.  This verification check is required to
      avoid off-path attacks.

      If the NAT removes immediately the NAT mapping upon receipt of a
      TCP RST message, stale connections may be maintained by endpoints
      if the first RST message is lost between the NAT and the
      recipient.

NEW:

      Notes:

      *   Admittedly, the NAT has to verify whether received TCP RST packets

      belong to a connection.  This verification check is required to

      avoid off-path attacks.

      * If the NAT removes immediately the NAT mapping upon receipt of a

      TCP RST message, stale connections may be maintained by endpoints

      if the first RST message is lost between the NAT and the

      recipient.

2.       In section 5:

[Med] I changed it to "consistent" in my local copy. Thank you for catching this.

3.       EIF is never expanded

[Med] Fixed.

Nits/editorial comments:

None.

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 15 Feb 2016 16:31:24 +0000

Hi Med,

Thank you for the quick answer and for addressing my comments. Your suggestions are fine with me.

Regards,

Dan

From: [email-masked] [mailto:[email-masked]]
Sent: Monday, February 15, 2016 6:29 PM
To: Romascanu, Dan (Dan); General Area Review Team
Cc: [email-masked]
Subject: RE: Gen-ART review of draft-ietf-tsvwg-behave-requirements-update

Hi Dan,

Please see inline.

Cheers,
Med

Cc : [email-masked]<mailto:[email-masked]>

< http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq<https://urldefense.proofpoint.com/v2/url?u=http-3A__wiki.tools.ietf.org_area_gen_trac_wiki_GenArtfaq&d=BQMFAw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=ZC04CHRXTc4mZGTQ1SDzY8k4-iq-WKS6FwdW1xbjofw&s=faCxz22-2duDulDbAWv3aWHO3iJ5naIHyqseY1pxc40&e=>>

Reviewer: Dan Romascanu

Review Date: 2/15/16

IESG Telechat date:

Major issues:

None

Minor issues:

OLD:

NEW:

      Notes:

      avoid off-path attacks.

      recipient.

2.       In section 5:

3.       EIF is never expanded

[Med] Fixed.

Nits/editorial comments:

None.

---

From: <[email-masked]>
Date: Tue, 16 Feb 2016 09:04:08 +0000

Hi Dan,

FWIW, an updated version integrating your comments is available online:

URL:            https://www.ietf.org/internet-drafts/draft-ietf-tsvwg-behave-requirements-update-07.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-tsvwg-behave-requirements-update/
Htmlized:       https://tools.ietf.org/html/draft-ietf-tsvwg-behave-requirements-update-07
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-behave-requirements-update-07

Thank you.

Cheers,
Med

De : Romascanu, Dan (Dan) [mailto:[email-masked]]
Envoyé : lundi 15 février 2016 17:31
À : BOUCADAIR Mohamed IMT/OLN; General Area Review Team
Cc : [email-masked]
Objet : RE: Gen-ART review of draft-ietf-tsvwg-behave-requirements-update

Hi Med,

Regards,

Dan

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
Sent: Monday, February 15, 2016 6:29 PM
To: Romascanu, Dan (Dan); General Area Review Team
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: Gen-ART review of draft-ietf-tsvwg-behave-requirements-update

Hi Dan,

Please see inline.

Cheers,
Med

Reviewer: Dan Romascanu

Review Date: 2/15/16

IESG Telechat date:

Major issues:

None

Minor issues:

OLD:

NEW:

      Notes:

      avoid off-path attacks.

      recipient.

2.       In section 5:

3.       EIF is never expanded

[Med] Fixed.

Nits/editorial comments:

None.

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 16 Feb 2016 12:53:05 +0000

Thank you for the quick update. All the (minor) issues that I raised were addressed. From the Gen-ART point of view this document is ready.

Regards,

Dan

Sent: Tuesday, February 16, 2016 11:04 AM

Hi Dan,

URL:            https://www.ietf.org/internet-drafts/draft-ietf-tsvwg-behave-requirements-update-07.txt<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_internet-2Ddrafts_draft-2Dietf-2Dtsvwg-2Dbehave-2Drequirements-2Dupdate-2D07.txt&d=BQMFAw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=0qyKTXEWRvvAYjVyo0MxjLa8JvZ4zy_ZU8cEPgVUnqU&s=CpStSt24iP_FQr8EReGKp-eoCAGaZPuHAIuS-3W56DE&e=>
Status:         https://datatracker.ietf.org/doc/draft-ietf-tsvwg-behave-requirements-update/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dtsvwg-2Dbehave-2Drequirements-2Dupdate_&d=BQMFAw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=0qyKTXEWRvvAYjVyo0MxjLa8JvZ4zy_ZU8cEPgVUnqU&s=TItSLr3x5EUoFzZU9nBKy6SU4sSHQmC16ZjOSaRuv_8&e=>
Htmlized:       https://tools.ietf.org/html/draft-ietf-tsvwg-behave-requirements-update-07<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dtsvwg-2Dbehave-2Drequirements-2Dupdate-2D07&d=BQMFAw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=0qyKTXEWRvvAYjVyo0MxjLa8JvZ4zy_ZU8cEPgVUnqU&s=M5GiCIgxCYHAX2gO2obdN0JLk9-p28WBwo_ssSWUaP0&e=>
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-behave-requirements-update-07<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Dietf-2Dtsvwg-2Dbehave-2Drequirements-2Dupdate-2D07&d=BQMFAw&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=0qyKTXEWRvvAYjVyo0MxjLa8JvZ4zy_ZU8cEPgVUnqU&s=2CGxScRN0aajF_jrT99wlwBtF67oPM_UeSdERu_LoCM&e=>

Thank you.

Cheers,
Med

Hi Med,

Regards,

Dan

Hi Dan,

Please see inline.

Cheers,
Med

Reviewer: Dan Romascanu

Review Date: 2/15/16

IESG Telechat date:

Major issues:

None

Minor issues:

OLD:

NEW:

      Notes:

      avoid off-path attacks.

      recipient.

2.       In section 5:

3.       EIF is never expanded

[Med] Fixed.

Nits/editorial comments:

None.